#
# spec file for package kicad-footprints
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# 5.0.x are bugfix versions, do not require users to upgrade symbols/footprints/packages
%define compatversion 5.0.0

Name:           kicad-footprints
Version:        5.0.2
Release:        18.1
Summary:        Footprint library for KiCad
# License is CC-BY-SA-4.0 but there is an exception
# See included LICENSE.md and kicad-pcb.org/libraries/license/
License:        CC-BY-SA-4.0
Group:          Productivity/Scientific/Electronics
Url:            http://kicad-pcb.org
Source:         https://github.com/KiCad/kicad-footprints/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  fdupes
BuildArch:      noarch
Provides:       kicad-footprints = %{compatversion}

%description
KiCad is a software suite used for Electronic Design Automation (EDA).

This is the footprints library package for KiCad.

%prep
%setup -q

%build
%cmake \
    -DKICAD_DATA:PATH=%{_datadir}/kicad
%make_jobs

%install
%cmake_install
%fdupes -s %{buildroot}/%{_datadir}/kicad/modules/

%files
%doc README.md CONTRIBUTING.md
%{_datadir}/kicad/
%license LICENSE.md

%changelog
* Thu Dec  6 2018 stefan.bruens@rwth-aachen.de
- Update to version 5.0.2
* Thu Oct 18 2018 stefan.bruens@rwth-aachen.de
- Update to version 5.0.1
- Shorten description, strip verbose language duplicated from KiCad package
* Sun Jul 22 2018 davejplater@gmail.com
- Update to version 5.0.0
- License is now CC-BY-SA-4.0
* Mon Sep  4 2017 davejplater@gmail.com
- Update to version 4.0.7
* Thu Mar 23 2017 xxxxxmichl@googlemail.com
- Update to version 4.0.6
* Thu Jan 12 2017 davejplater@gmail.com
- Update to version 4.0.5
* Mon Sep 12 2016 davejplater@gmail.com
- Update to version 4.0.4
* Mon Aug  8 2016 dmitry_r@opensuse.org
- Update to version 4.0.3
* Mon Mar 21 2016 dmitry_r@opensuse.org
- Initial package, version 4.0.2
